| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Image

# Method Image.Image()->`+()

Method `+

  `object `+(object operand)`
  `object `+(array(int) color)`
  `object `+(int value)`

Description

  adds two images; values are truncated at 255.

Parameter `operand`

  the image which to add.

Parameter `color`

  an array in format ({r,g,b}), this is equal to using an uniform-colored image.

Parameter `value`

  equal to ({value,value,value}).

Returns

  the new image object

See also

  `- , `| , `&amp; , `* , Image.Layer